Latest 0.1.3
Homepage https://github.com/edc1591/ReactiveFirebase
License MIT
Platforms ios 8.0
Dependencies ReactiveCocoa, ReactiveSwift, Firebase/Auth, Firebase/Database, Firebase/Storage
Frameworks FirebaseCore, FirebaseDatabase, FirebaseAnalytics, FirebaseAuth, FirebaseStorage, GoogleSymbolUtilities, GoogleInterchangeUtilities
Authors

ReactiveSwift extensions for Firebase.

Swift Version
License
CocoaPods Compatible
Platform

ReactiveFirebase adds ReactiveSwift extensions for several Firebase components. Currently FirebaseAuth, FirebaseDatabase, and FirebaseStorage are supported.

NOTE: The CocoaPod does not currently work. Firebase distributes their SDK as a static library which makes distributing this as a CocoaPod very difficult. Your best bet for now is to drop the source files into your Xcode project manually.

Installation

CocoaPods

You can use CocoaPods to install ReactiveFirebase by adding it to your Podfile:

use_frameworks!
pod 'ReactiveFirebase'

Manually

  1. Download and drop all the .swift files into your project.
  2. There is no step two.

Usage example

Here’s a few simple examples.

import ReactiveFirebase

FIRDatabase.database().reference(withPath: "users")
    .child(userID)
    .reactive
    .value
    .startWithValues { user in
        // do something with your user JSON
    }
import ReactiveFirebase

FIRAuth.auth()
  .reactive
    .currentUser
    .startWithValues { user in
        // do something with your FIRUser
    }

Contribute

I would love for you to contribute to ReactiveFirebase, check the LICENSE file for more info. I’d be happy to review any pull requests.

Meta

You can find me on Twitter @edc1591

Distributed under the MIT license. See LICENSE for more information.

Latest podspec

{
    "name": "ReactiveFirebase",
    "version": "0.1.3",
    "summary": "ReactiveSwift extensions for Firebase.",
    "homepage": "https://github.com/edc1591/ReactiveFirebase",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Evan Coleman": "[email protected]"
    },
    "source": {
        "git": "https://github.com/edc1591/ReactiveFirebase.git",
        "tag": "v0.1.3"
    },
    "social_media_url": "https://twitter.com/edc1591",
    "platforms": {
        "ios": "8.0"
    },
    "source_files": "ReactiveFirebase/**/*",
    "dependencies": {
        "ReactiveCocoa": [
            "5.0.0.alpha.6"
        ],
        "ReactiveSwift": [
            "1.0.0-rc.3"
        ],
        "Firebase/Auth": [
            "~> 3.11.0"
        ],
        "Firebase/Database": [
            "~> 3.11.0"
        ],
        "Firebase/Storage": [
            "~> 3.11.0"
        ]
    },
    "libraries": "stdc++",
    "frameworks": [
        "FirebaseCore",
        "FirebaseDatabase",
        "FirebaseAnalytics",
        "FirebaseAuth",
        "FirebaseStorage",
        "GoogleSymbolUtilities",
        "GoogleInterchangeUtilities"
    ],
    "pod_target_xcconfig": {
        "FRAMEWORK_SEARCH_PATHS": "$(PODS_ROOT)/FirebaseCore/Frameworks $(PODS_ROOT)/FirebaseCore/Frameworks/frameworks $(PODS_ROOT)/FirebaseDatabase/Frameworks $(PODS_ROOT)/FirebaseDatabase/Frameworks/frameworks $(PODS_ROOT)/FirebaseAnalytics/Frameworks $(PODS_ROOT)/FirebaseAnalytics/Frameworks/frameworks $(PODS_ROOT)/FirebaseAuth/Frameworks $(PODS_ROOT)/FirebaseAuth/Frameworks/frameworks $(PODS_ROOT)/FirebaseStorage/Frameworks $(PODS_ROOT)/FirebaseStorage/Frameworks/frameworks $(PODS_ROOT)/GoogleSymbolUtilities/Frameworks $(PODS_ROOT)/GoogleSymbolUtilities/Frameworks/frameworks $(PODS_ROOT)/GoogleInterchangeUtilities/Frameworks $(PODS_ROOT)/GoogleInterchangeUtilities/Frameworks/frameworks"
    },
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This